package com.pcloud.book.group.mapper;

import com.pcloud.book.group.entity.ResourcePageFolder;
import com.pcloud.book.group.vo.ResourcePageFolderVO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Set;

public interface ResourcePageFolderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ResourcePageFolder record);

    int insertSelective(ResourcePageFolder record);

    ResourcePageFolder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ResourcePageFolder record);

    int updateByPrimaryKey(ResourcePageFolder record);

    void deleteByColumnIds(@Param("columnIds") List<Long> columnIds);

    List<ResourcePageFolderVO> selectByPrimaryKeys(@Param("ids") Collection<Long> ids);
}